Frissítés Linux Mint 18.1-ről 18.2-re videóval

kami911 képe

Hozzászólások

kimarite képe

:-) megjegyzések

-- a 4 (ás 5-ös) szintű szintű csomagok bejelölése saját felelősségre
-- a magyar tükrök gyorsak igen, de legtöbbször -feltételezhetően- túlterheltek. Nálam a szlovák van beállítva pl..

Ez egy érdekes videó szintén:
http://www.youtube.com/watch?v=wPorX0R5dSk :D
-- persze, a videóban ismertetett függőség letöltése egy másféle kockázat. Így letöltve soha nem fog frissülni, hacsak a felhasználó meg nem teszi kézileg, de ez nem túl biztonságos. Más kérdés, hogy a Debian nem foglalkozik azzal túlságosan vagy kifejezetten, hogy egy átlag felhasználónak kényelmes legyen a rendszer használata, olyan szinten, mint pl. a Viber (harmadik fél által fejlesztett alkalmazás) használata és telepítése, mert nem elsősorban átlag felhasználókna készült. De látjuk, a (Debian) stabil kiadásában elérhető a függőség, tehát, aki azt használja, számára nem jelent gondot tárolóból telepíteni a Viber függőségeit A Debian szerver célra készült elsősorban, de az asztali feklhasználást is kielégítik általában: lásd az iménti példát (stabil kiadás). A Linux Mint alatt nem kell letölteni csomagot, mert itt az átlag felhasználóra gondolnak a fejlesztők.

Értékelés: 

5
Átlag: 5 (1 szavazat)

Nem lehet elég későn frissíteni a Mint Cinnamont ezek szerint?

cinnamon[1874]: segfault at 7fa917dfffe8 ip 00007fa972064305 sp 00007ffd229bd230 error 4 in libcjs.so.0.0.0[7fa97203b000+c1000]

Ezt a fenti hibát nem tapasztalta még senki? Megnyekken x másodpercre a FF, de volt már, hogy otthagytam a gépet és az egér megmozgatása után fehér képernyős lefagyás fogadott, és a fenti kiírás a dmesg-ben.

Pár hetet mindig várok a verzió frissítéssel, de már stabil lehetne a 18.2 eddigre.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni a Mint Cinnamont ezek szerint?

#2 Nálam rendben a Cinnamon. Friss telepítés.

Volt egy ilyen bug (példa):
„that Cinnamon segfaults if the setting "workspaces-only-on-primary" is enabled. If the setting is enabled from start, Cinnamon will appear to start cleanly but will crash about a second after displaying the desktop. Enabling the setting within a Cinnamon session will crash Cinnamon instantly.”
https://github.com/linuxmint/Cinnamon/issues/1945
(https://www.reddit.com/r/linuxmint/comments/6nap71/cinnamon_mint_182_cra...(

Amúgy néhány paraméter (CPU, GPU) és tesztjük (kettő parancs) sokat segítene:

inxi -F
dmesg

Erről van szó:
https://packages.debian.org/jessie/i386/libcjs0/filelist
De ... -igaz, hogy Debian csomag és oldstable- egy érdekes mondat, ami a megoldás felé is mutathat 'valahogy':
”This package is the frozen version of gjs that the cinnamon desktop currently uses.”
https://packages.debian.org/jessie/libcjs0
Legalább őszinték. :-)

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1   Bocsi, jogos a kérés, nem is gondoltam, hogy valakit jobban érdekel, csak beírtam, hátha volt már másnál is. A Mint saját fórumán beírták páran, de nem sok ötlet volt.

https://forums.linuxmint.com/viewtopic.php?t=248898

Nem volt időm friss telepítésre.

Köszi előre is, ha valamit kiókumulálsz ebből. Ha nem változik semmi, akkor muszáj lesz időt szakítanom a Debian 9-re, mert melónál nem túl jó, ha lefagyogat a rendszerem. Lehet az is, hogy a FF galádkodik. Próbáljak ki ESR változatot szerinted?

https://pastebin.com/cpzAvSzJ

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1 Van valami hiba még a dmesgben a környékén? Esetleg az Xorg.0.log-ban?

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.1  

cinnamon[1874]: segfault at 7fa917dfffe8 ip 00007fa972064305 sp 00007ffd229bd230 error 4 in libcjs.so.0.0.0[7fa97203b000+c1000]

ezen kívül nincs hiba sehol, de ez is csak egy-két alkalommal jelentkezik naponta, többnyire, ha otthagyom a gépet egy időre és kikapcsol a képernyő.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1 Ha megpróbálnál egy friss telepítést? Én azt csináltam, nincs gond. Tesztek, csomag verziók: https://pastebin.com/QC9n5P8B

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2

#2.1.1.2   Meg akartam úszni a friss telepítést, ha lenne, akkor is a 18.1-et tenném vissza. Nincs külön  /home sem. Nincs kedvem újra mindent beállítani, a trükközésekben sem bízom /home átmásolása ügyileg.

Most, hogy itt hagytam egy 20 percre a gépet, össze is omlott a Cinnamon környezet és kiírta a szokásos szövegét a dmesg.

 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1 Örülök, hogy figyelsz. :-)
A 'csomag verziók' -ra azért hívtam fel a figyelmed, hogy hasonlítsd össze a tieddel. Nem az összeset ;), elég a kernelt. Én az 1-3 biztonsági szinteket is tartom, nem telepítettem 4-es vagy 5-ös szintű csomagot sem. De amúgy lehet, a 18.1 valamely beállítása maradt benn az alverzió frissítése alkalmával.

Esetleg kilistáztathatod az összes Cinnamon csomagot (ha az lenne az ok, de nem tudom),

dpkg -l *cinnamon*

vagy a Synaptic-ban teszed (a listáztatást csak) és így újratelepíted (csak így jó):

sudo apt install --reinstall csomag1 csomag2 csomagstb

Vagy a libcjs* csomagot telepíted újra ugyanígy. Sajnos, azt hiszem eltávolítani nem lehet, összefügg a libmozjs* csomaggal, melyet a Firefox megkíván, kivéve a Firefox ESR, mert ennek nem létszükséglete. A libmozjs* csomag régebbi verzióit megpróbálhatod eltávolítani, a Synaptic csomagkezelőben, teljes eltávolítással, azokat, amelyik nem visz 'mindent'. Továbbá takaríthatsz is (általában):

sudo apt-get autoremove --purge

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1

~ $ sudo apt install libcjs*
Türelmetlen vagyok és a fenti csomagot leszedtem, mert már reinstallnál is hiányolt pár dolgot, az installnál ezeket írja:

Az alábbi csomagoknak teljesítetlen függőségei vannak:
 libcjs0e : Ütközik: libcjs0 de csak 2.8.0-1 telepíthető
 libcjs0f : Ütközik: libcjs0 de csak 2.8.0-1 telepíthető
            Ütközik: libcjs0e de csak 3.2.0+serena telepíthető

Az autoremove --purge nem szedett le semmit.

Már itt van a slusszkulcsomon a 18.2, de még gondolkodom, a Debian 9-re is elég sok panasz jött....valamit pedig fel kéne tenni.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1 A 'sudo apt install libcjs*' parancs felesleges, mert a * használatával minden libcjs csomag felmegy, bármi a csomag nevének vége. Én sem írtam.

A 'libcjs0e' és 'libcjs0f' csomagok most nem tudom mik, és kell-e egyáltalán: a Synaptic mutatja a csomag tulajdonságait, leírását, ha beállítod. Most nem érek rá túlságosan, csak később: szerintem, ne legyél türelmetlen, esetleg tedd fel Clem-éknek (Clement Lefebre) a kérdést a fórumon, és mellékeld a pasztám, hogy nálam, tiszta telepítésnél semmi gond ezzel.

Én elég kevés panaszt hallottam a Debian Stretch-ről (pl. közösségi oldalakon), de azok megoldhatóak a szokásos módokon. De ezzel saját magad cáfolod, mert akkor ugyanúgy az alapról indulsz majd, mintha tiszta Linux Mint telepítést csinálnál a 18.2-re ;).
Mástól sem hallottam rosszakat a Debian 9 -ről.

A nagyon régi gépemen én pl. a Debian Jessie-ről frissítettem a forrás listák átírásával (bizonyos tárolók kikapcsolása, stb.) vagyis a BunsenLabs fork-ról, ami Openbox asztali környezet. Jelen pillanatban MATE van rajta, az Openbox csomagokat töröltem. Egy hibával találkoztam, ami az Asztal-on az ikonok megjelenítése beállítás bekapcsolásakor mutatkozott, a tényleges Asztal (Desktop) könyvtár tartalma helyett a saját könyvtáram tartalma jelent meg. Ez egy, a saját könyvtárban található konfig. fájl szerkesztésével megoldható volt: egy szót írtam bele és mentettem:
Fájl: /home/$USER/.config/user-dirs.dirs
Sor: XDG_DESKTOP_DIR="$HOME/Desktop"

Tehát a gépemen most ez van:

inxi -S
System:    Host: kim Kernel: 4.9.0-3-686 i686 (32 bit) Desktop: MATE 1.16.2
           Distro: Debian GNU/Linux 9 (stretch)

:-)

De én újra fogom telepíteni, mert az tisztább. Általában netinstall-ból telepítek.

Próbáld meg az 'aptitude' -ot az apt helyett.
Szerk.: Az 'apt-get' -et használom jelenleg minden rendszeren, nem az 'apt' -ot.
Kép a leírásban a Debian 9 -ről (Asztalom): https://linuxmint.hu/blog/2017/07/a-webes-telegram-alkalmazas-hasznalata-es-inditojanak-elkeszitese-mate
Annyi még, hogy a Conky konfig. -ban a 'top_mem' kapcsoló nem működött megfelelően, ezért a 'Highest MEM' résznél nem valós értékeket látni a képen. Időm nem volt megoldani ..., pl. kivetítőn néztem az olasz-magyar vízilabda, aztán a Honvéd meccset (utóbbit részleteiben). :)

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1

sudo apt install libcjs* - nem ment fel semmi ezzel, ami ne lett volna fenn, igazából kipróbáltam remove-val és húzott magával le mindent, Cinnamont is, de csak ezt a részét idéztem fel neked.

A probléma már fenn van a fórumukon Cinnamon crash néven, de semmi értékelhető válasz nincs.

Azért vagyok türelmetlen, mert melózni is kéne a géppel, nincs időm egész nap belakni, ahogy eddig csináltam. Nem cáfolom magam semmivel, mert a Debiant is fel akarom rakni, eddig is fenn volt az is, még Jessieből frissitve, de 2 év alatt valahogy csak össze tudtam kutyulni a repok csereberéjével meg amúgy is leszedtem az összes disztrót, mert az SSD régi felosztása nem tetszett.

A PH-n irták amúgy, hogy múködik a Mint Cinnamon  /home-ja Debian 9 Cinnamonra rakva. Ezzel tudnám mindkét disztrót gyorsabban belakni, de meglepetésekre sincs most időm.

Ráadásul egész nap egerezek a meló miatt és a jobb vállam már kiakad ettől, nem tudod mivel lehetne kiváltani az egerezést, biztosan van valami billentyűs egérező alkalmazás....

Ahogy olvasgatom, inkább a KDE-s Debiannal vannak gondok, a Mate és Cinnamon változattal nem.

Az a gáz, hogy kb fél éve csak használom a Linuxot és piszok gyorsan elfelejtem, mit hogyan kell benne rendbehozni, kivétel ez alól az, amit amúgy sem tudtam. :-)

Köszi a mostani segitséget is. A múltkori segitségeddel a Toshiba laptopon minden disztrón meg tudtam oldani a problémát! A processor.nocst.1 (bocs, de képtelen vagyok megtalálni az egyenlőség jelet) opcióra gondolok, azóta használja mindkét processzort a laptop rendesen és nem fagyott még le soha! :-)

Debian netinstallal..........jajjjj, a postás közben ki is hozná a nyugdijamat.....

A Telegramos irásod jó lett, már olvasgattam erről a telegramról, de nekem elég a messengerfordesktop is most.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1 Teeeee !

'sudo apt install libcjs* - nem ment fel semmi ezzel, ami ne lett volna fenn, igazából kipróbáltam remove-val és húzott magával le mindent, Cinnamont is, de csak ezt a részét idéztem fel neked.'

-- ha ezt írom, hogy „Próbáld meg az 'aptitude' -ot az apt helyett.”, akkor miért mész tovább a rossz nyomon az apt -tal?
-- ha ezt írom, hogy „A 'sudo apt install libcjs*' parancs felesleges, mert a * használatával minden libcjs csomag felmegy, bármi a csomag nevének vége. Én sem írtam.” akkor miért csinálod továbbra is* -gal?

'A probléma már fenn van a fórumukon Cinnamon crash néven, de semmi értékelhető válasz nincs.'
-- ha ezt írom, hogy „esetleg tedd fel Clem-éknek (Clement Lefebre) a kérdést a fórumon, és mellékeld a pasztám, hogy nálam, tiszta telepítésnél semmi gond ezzel.”, akkor miért nem teszel fel úgy kérdést te is, hogy megcsinálod, azt amit írtam? Mert esetleg csak én vettem észre ezt, de lehetőleg jól titkoljuk el, hogy senki meg ne tudja?!

Ezt -amit eddig írtam- most így a levegőbe kiáltottam, és a folytatása is ugyanez lesz, azt gondolom. Szólj, ha úgy érzed, olvasni tudsz! És akkor majd visszatérünk a problémára.Nem értékelhető a válaszod.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.1 Jó ... (azaz nem jó).
Off: Szóval ez a dal jutott eszembe, igaz egy másik énekesnő egyik lemezén hallgatom most,
https://www.youtube.com/watch?v=NuiFuWSehh4
és abból egészen pontosan ez a sor: „Ha te tudnád, amit én, Te is sírnál, nem csak én, Te is sírnál, nem csak én, Keservesebben, mint én ...” /On :-)

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.1

sudo apt remove libmozjs*

Valahogy nekem ez jött elő és újra is telepítettem, ettől eddig megszünni látszik a probléma. Bocsi, nem az olvasási készségemmel van a baj, jó iránymutatásod volt, de úgy konkrétan, amiket írtál, kicsit csapongó volt, így kicsit szabadon csináltam a dolgot. A 2013-as Mint linkjét se nagyon értettem, de a lényeg az, hogy ez most nem olyan eset volt, hogy szamárvezetővel kellett végigmennem. :-)
Szerintem ilyen esetben nem számíthat annyira, melyik csomagkezelővel törlök vagy telepítek, ne vedd a lakedre, hogy nem szó szerint csinálom, amit írsz! :-)

A *-ot tudom, mit csinál a parancs végén, ilyen jelentéseket meg én tuti nem fogok írkálni, nem ismerem a nyelvet sem annyira.

Köszi a segítséget. A másik kérdésnek nincs értelme, aki írta, nem kezdő és abszolút megbízható szaki, ha ő azt írta, megoldotta úgy, ahogy említettem, akkor megoldotta. Mások is értenek ám dolgokhoz, ez ne lepjen meg ennyire!

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.1.2 'A libmozjs* csomag régebbi verzióit megpróbálhatod eltávolítani, a Synaptic csomagkezelőben, teljes eltávolítással, azokat, amelyik nem visz 'mindent'.'
-- ezt írtam én. És tényleg más szavakkal! No meg: a purge viszi a beállításokat is, a remove meghagyja ezeket és csak a csomagot távolítja el. Nem kötelező ugyanúgy csinálni, és a logika szerint nemcsak a régebbi verziót lehet érdemes eltávolítani. Nem is oly rég nekem nem sikerült eltávolítani a libmozjs aktuális, és összes verzióját, ezért nem mondhattam fixre, hogy távolítsd el ..., mert vitt volna mindent a próbálkozásra.

Lényeg, hogy megoldódni látszik, vagy meg is oldódott a dolog, ahogy írod (nem irónia amit írok, mert én nem tudom, hogy ez a megoldás, viszont a logika alapján az, és remélem is, hogy az). :-)

Hát azt nem tudom, mennyire csapongtam, de ha rövidebben írom, úgy nem érted meg (az előzményekből ez látszik) :D, ha hosszan írom, akkor sok, túl hosszú (írta egyszer valaki, valahol). És akkor most mondom a bevált módszerem: lépésről lépésre (ha több lépésből áll a megoldás).

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.1.2.1 Hiába utalsz több alkalommal is az értelmi képességem hiányosságára, nem arról van szó, hogy nem értem meg, amit irsz. Ha ez igy lenne, akkor nem tudtad volna levezényelni a Toshiba Satellite igencsak ritka problémájának a megoldását sem. :-)

Egyszerúen csak annyi mindent csináltam még, hogy nem volt időm egyesével végigkeresgélni, amiket javasoltál, igy elolvastam, amit itrál és megpróbáltam a számomra logikus lépéseket gyorsan lefutttatni, de ezeknek a lépéseknek a következményeivel tisztában voltam. Fura szokásod, hogy ha valaki nem pontosan azt csinálja, amit leirsz, akkor egyből az értelmi képességeit emlegeted és próbálod neki az evidens dolgokat is úgy magyarázni, mintha tök hülye lenne, mint példáult a csomagnév utáni csillag hatása.

Minimál empatikus képesség nélkül szakbarbárrá silányulsz, ezt jóindulattal emlitem, neked is figyelned kéne arra, mit mond el a kérdező, nem csak a szakmai részét, hanem azt is, hogy milyen körőlmények között tud abban a helyzetben operativkodni! :-)

Annyi dolgot csináltam egyébként egyszerre, hogy a PH fórumon két linket is rosszul tettem be, pedig ilyen az utóbbi években nem fordult elő velem, nem múködik a szerver jól, ahová bedolgozom - csak manuális feltöltést csinálok, még mielőtt kétkedésed fejeznéd ki alkalmasságok hiányára utalva.

Lényegében már rengeteg hibaelháritáson túl vagyok, csak mostanában ritkábban tudok sok időt tölteni vele, igy ha kérdezek, akkor sok esetben az iránymutatás is elégséges és elkezdem ez alapján a hibát elháritani, persze néha be is szorulok ezzel. Emiatt nem érzem szükségét sok esetben az általad leirt összes lépés alkalmazásának. Ha ez az értelmi képességem hiánya, hát akkor az.

A másik kérdésről annyit, hogy a PH-n csak tényt közölt a fórumtárs, hogy ő megcsinálta a /home migrálását és múködik, részletekbe nem mentünk bele, igy nincs értelme a linket idéznem, gondolom ott nem vagy aktiv, pedig én élvezném. Ott is jól kivesézhetnéd mindenki értelmi képességeit. :-)

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.1.2.1.1 Ubyegon. Itt nem tárgyalunk ennyit, de nyugodtan kifejtheted álláspontodat még az időjárásról is, addig amíg valakit nem zavar ... :-)
Az egyéni szociális problémád (ahogy érzed), hogy mit látsz bele a válaszaimba, azon kívül, ami benne van.
Szerény véleményem szerint a 'Linux' olyan, mint a magyar foci, mindenki ért hozzá, ki így, ki úgy.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1 'A PH-n irták amúgy, hogy múködik a Mint Cinnamon  /home-ja Debian 9 Cinnamonra rakva.'
-- linkelnéd, hol írják? Mert így elég ... érdekesen hangzik.

Értékelés: 

0
Még nincs értékelve

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.2

Érdekes hát! :-)

Próbáld ki, ha nem hiszed!

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nem lehet elég későn frissíteni ?

#2.1.1.2.1.1.1.1.1.2.1 Nézd, én már régebben más fórumon olvastam egy fórumtárstól, hogy Slackware, Debian, Ubuntu és több rendszer home-ja nála egy helyen van. De azt is írta, ha valami nem stimt, akkor azt össze kell drótozni ;). Ez program könyvtárak symlink-kekkel való összekötését jelenti és nem annyira egyszerű.
De elhiszem neked, és őszintén, nem is nagyon veszélyes tevékenység, viszont általánosságban nem ajánlanám mindenkinek :-). Hasonló ez, mint nemrég valaki ajánlott olyat, ha zombi folyamat jelenik meg az Opera, Firefox, Chrome, stb. böngészők használatakot, akkor törölni kell a HOME-ot (vélhetően a saját könyvtárra gondolt). Tehát nem azt írta, hogy csak a böngésző beállításait tartalmazó könyvtárat 'kell' törölni (vagy inkább átnevezni, hogy megmaradjon, ha ..), hanem az egész saját könyvtárat (itt: /home/$USER). Ennek 'érdekes' következménye lenne ... . Azért kértem URL-t, mert kíváncsi voltam, mennyire és mivel indokolta az említett dolgot a ph fórumon valaki, szimpla szakmai érdeklődésből kíváncsíságból. Tehát, hogy valamit elárulnak a hozzászólások, amiből én is tanulok valamit.
Úgyhogy nem próbálom ki, mert ... igazság szerint nem látom értelmét, pontosabban nincs haszna a számomra, de el tudom képzelni.
Én sem beszélek tökéletesen angolul, de igyekszem a linuxmint.com fórumon kérdezni, ha időm van rá. Ha a számítógép mellett tudok lenni. De ma nem így volt.

Értékelés: 

0
Még nincs értékelve